Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Class GlobalClipboard

    java.lang.Object
      com.mindbright.terminal.GlobalClipboard

All Implemented Interfaces:
  TerminalClipboardHandler

public class GlobalClipboard
extends java.lang.Object
implements TerminalClipboardHandler

Method Summary
`void` | `addMenuHandler(TerminalMenuHandler menuHandler)`
`void` | `clearSelection()` Clear the clipboard contents.
`static GlobalClipboard` | `getClipboardHandler()`
`static GlobalClipboard` | `getClipboardHandler(TerminalMenuHandler menuHandler)`
`java.lang.String` | `getSelection()` Get the current contents of the clipboard
`void` | `removeMenuHandler(TerminalMenuHandler menuHandler)`
`void` | `setSelection(java.lang.String selection)` Set the content of the clipboard to the specified string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClipboardHandler

    public static GlobalClipboard getClipboardHandler()

### getClipboardHandler

    public static GlobalClipboard getClipboardHandler(TerminalMenuHandler menuHandler)

### addMenuHandler

    public void addMenuHandler(TerminalMenuHandler menuHandler)

### removeMenuHandler

    public void removeMenuHandler(TerminalMenuHandler menuHandler)

### setSelection

    public void setSelection(java.lang.String selection)

  Description copied from interface: `TerminalClipboardHandler`
  Set the content of the clipboard to the specified string.

  Specified by:
    `setSelection` in interface `TerminalClipboardHandler`
  Parameters:
    `selection` - new contents of the clipboard.

### getSelection

    public java.lang.String getSelection()

  Description copied from interface: `TerminalClipboardHandler`
  Get the current contents of the clipboard

  Specified by:
    `getSelection` in interface `TerminalClipboardHandler`
  Returns:
    the current clipboard contents.

### clearSelection

    public void clearSelection()

  Description copied from interface: `TerminalClipboardHandler`
  Clear the clipboard contents.

  Specified by:
    `clearSelection` in interface `TerminalClipboardHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD